package figures;
import java.awt.Color;

public class Rectangle05 extends FiguraGeometrica05 {
   private double base=0, altura=0;
   
   public Rectangle05 (int ncodi, String nnom, Color ncolor, double nbase, double naltura)   {
      super (ncodi, nnom, ncolor);
      if (nbase>0) base=nbase;
      if (naltura>0) altura=naltura;
   }

   public Rectangle05()   {
   }
   
   public Rectangle05 (Rectangle05 r)   {
      this (r.codi, r.nom, r.color, r.base, r.altura);
   }
   
   public void setBase (double novaBase)   {
      if (novaBase>=0) base = novaBase;
   }

   public void setAltura (float novaAltura)   {
      if (novaAltura>=0) altura = novaAltura;
   }

   public double getBase()   {
      return base;
   }
   
   public double getAltura()   {
      return altura;
   }
   
   public double perimetre ()   {
      return base*2+altura*2;
   }

   public double area ()   {
      return base*altura;
   }

   public void visualitzar ()   {
      System.out.println ("Sc un rectangle");
      System.out.println ("****************");
      super.visualitzar();
      System.out.println ("Base..........:" + base);
      System.out.println ("Altura........:" + altura);
      System.out.println ("Permetre.....:" + perimetre());
      System.out.println ("rea..........:" + area());
   }

   public String toString()   {
      return "Rectangle " + super.toString();
   }

   public static void main (String args[])   {
      Rectangle05 r1 = new Rectangle05 ();
      Rectangle05 r2 = new Rectangle05 (1, "Rectangle05 1", Color.green, 3,4);
      r1.visualitzar();
      r2.visualitzar();
      System.out.println("r1 = " + r1);
      System.out.println("r2 = " + r2);
   }
}